# $Revision: 1.25 $, $Date: 2005/03/28 08:46:55 $
Summary:	"The Life of a Geek" game
Summary(pl):	Gra "The Life of a Geek" (ycie geeka)
Name:		lifegeek
Version:	1.01stable
Release:	1
License:	GPL v2
Group:		Applications/Games
Source0:	http://dl.sourceforge.net/lifegeek/%{name}-%{version}.tar.gz
# Source0-md5:	9b0b19033b1302988c98f99410775120
Patch0:		%{name}-path.patch
BuildRequires:	libstdc++-devel
URL:		http://lifegeek.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Life of a Geek is very silly console game in which you (a geek)
must keep a computer running until you graduate college. Surf around
on the Internet, battling hackers to gain money and better security
for your box. Drink lots of caffeine to keep yourself awake, since if
you go to sleep, you risk an attack on your computer. Save up money to
take a month-long college course and improve your education, but
remember that paying attention to schoolwork also leaves your computer
open to attack. Find a quick job for a month at places like fast-food
restaurants and grocery stores, but remember again that time away from
your computer leaves it open to attack. Virii may also appear on your
computer, weakening your computer's health points regularly until
cleaned.

%description -l pl
Life of a Geek (ycie geeka) to bardzo gupia gra dziaajca na
terminalu tekstowym, w ktrej gracz (geek) musi utrzyma dziaajcy
komputer do czasu ukoczenia uczelni. Musi szpera po Internecie,
walczc z hakerami, aby zdoby pienidze i lepsze bezpieczestwo dla
maszyny. Musi pi duo kawy, aby trzyma si na nogach, poniewa
jeli zanie, moe narazi komputer na atak. Trzeba gromadzi
fundusze, aby uczestniczy w miesicznych kursach doskonalc swoje
wyksztacenie, ale jednoczenie trzeba pamita, e powicanie
uwagi nauce take pozostawia komputer otwartym na atak. Gracz musi
znale prac w miejscach typu restauracje fast-food czy sklepy
spoywcze, ale tu take musi pamita, e w czasie nieobecnoci
komputer pozostaje otwarty na ataki. W komputerze mog pojawi si
take wirusy, regularnie osabiajc zdrowie komputera do czasu
usunicia ich.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%{__make} \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name},%{_var}/games/%{name}}

install lifegeek $RPM_BUILD_ROOT%{_bindir}
install *.lg     $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc changes readme todo
%attr(2755,root,games) %{_bindir}/*
%attr(775,root,games) %dir %{_var}/games/lifegeek
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lifegeek.spec,v $
Revision 1.25  2005/03/28 08:46:55  adamg
- updated to 1.01stable

Revision 1.24  2005/01/07 08:52:07  adamg
- updated to 1.0stable
- %%doc files now lower-case, replaced useless INSTALL with readme

Revision 1.23  2004/11/26 23:46:29  adamg
- updated to 1.0b9

Revision 1.22  2004/08/02 17:01:30  adamg
- updated to 1.0b8

Revision 1.21  2004/08/01 19:24:22  adamg
- release .1 (rebuild with proper paths)

Revision 1.20  2004/08/01 19:17:10  adamg
- updated to 1.0b7

Revision 1.19  2004/07/09 20:47:28  adamg
- BuildRequires: libstdc++-devel

Revision 1.18  2004/07/09 20:45:50  adamg
- updated to 1.0b6

Revision 1.17  2004/05/13 19:28:30  adamg
- updated to 1.0b4

Revision 1.16  2004/05/09 14:59:22  adamg
- updated to 1.0b3

Revision 1.15  2004/04/04 11:25:08  adamg
- updated to 1.0b1
- updated path patch
- added /var/games/lifegeek directory
- changed permissions of the lifegeek binary

Revision 1.14  2004/03/17 20:58:04  adamg
- updated to 1.0.0b1

Revision 1.13  2004/02/04 18:16:51  adamg
- updated to 0.4

Revision 1.12  2003/09/14 19:04:39  adamg
- reverted last change, believe it or not, but 0.34 > 0.337

Revision 1.11  2003/09/14 18:47:37  misi3k
- updated to 0.337

Revision 1.10  2003/07/19 07:37:26  adamg
- updated to 0.34, cosmetics

Revision 1.9  2003/06/15 07:05:31  adamg
- updated to 0.31

Revision 1.8  2003/06/14 07:17:28  adamg
- updated to 0.3

Revision 1.7  2003/06/06 11:43:46  misi3k
- rel 1

Revision 1.6  2003/06/06 11:39:09  qboosh
- missing dir, use proper CXX and CXXFLAGS

Revision 1.5  2003/06/04 09:40:07  misi3k
- updated to 0.23
- rel 0.2
- added path patch
Note: works :>

Revision 1.4  2003/05/28 12:59:33  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:50:08  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/04/12 22:02:47  qboosh
- pl description, simplified install

Revision 1.1  2003/04/09 08:59:06  adamg
- initial import
